# Generated from diva-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name diva

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: Implementation of expression for handling things
License: MIT
URL: https://github.com/toshia/diva
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6.0
# BuildRequires: rubygem(minitest) >= 5.14.4
# BuildRequires: rubygem(minitest) < 5.15
# BuildRequires: rubygem(irb) >= 1.3.7
# BuildRequires: rubygem(irb) < 2.0
# BuildRequires: rubygem(simplecov) >= 0.17.1
# BuildRequires: rubygem(simplecov) < 1.0
# BuildRequires: rubygem(rubocop) >= 1.20.0
# BuildRequires: rubygem(rubocop) < 1.21.0
BuildArch: noarch

%description
Implementation of expression for handling things.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.circleci
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/diva.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.1.0-1
- Initial package
